Loading...
Searching...
No Matches
3D Reference Displays Information
libavutil » Video related

The 3D Reference Displays Information describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s). More...

## Files

file | tdrdi.h
| Spherical video.

## Data Structures

struct | AV3DReferenceDisplaysInfo
| This structure describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s). More...
struct | AV3DReferenceDisplay
| Data structure for single deference display information. More...

## Macros

#define | AV_TDRDI_MAX_NUM_REF_DISPLAY 32

## Functions

static av_always_inline AV3DReferenceDisplay * | av_tdrdi_get_display (AV3DReferenceDisplaysInfo *tdrdi, unsigned int idx)
AV3DReferenceDisplaysInfo * | av_tdrdi_alloc (unsigned int nb_displays, size_t *size)
| Allocate a AV3DReferenceDisplaysInfo structure and initialize its fields to default values.

## Detailed Description

The 3D Reference Displays Information describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s).

## Macro Definition Documentation

## AV_TDRDI_MAX_NUM_REF_DISPLAY

#define AV_TDRDI_MAX_NUM_REF_DISPLAY 32

Definition at line 43 of file tdrdi.h.

## Function Documentation

## av_tdrdi_get_display()

av_always_inline AV3DReferenceDisplay * av_tdrdi_get_display | ( | AV3DReferenceDisplaysInfo * | tdrdi,
|  | unsigned int | idx )

static

Definition at line 145 of file tdrdi.h.

## av_tdrdi_alloc()

AV3DReferenceDisplaysInfo * av_tdrdi_alloc | ( | unsigned int | nb_displays,
|  | size_t * | size )

Allocate a AV3DReferenceDisplaysInfo structure and initialize its fields to default values.

Returns
  the newly allocated struct or NULL on failure